# aws_netapp_cvs_pool – NetApp AWS Cloud Volumes Service Manage Pools

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, Update, Delete Pool on AWS Cloud Volumes Service.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key string / required |  | The access key to authenticate with the AWSCVS Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the AWSCVS Web Services Proxy or Embedded Web Services API.
from_name string |  | rename the existing pool name ( The human readable name of the Pool ) from_name is the existing name, and name the new name can be used with update operation
name string / required |  | pool name ( The human readable name of the Pool ) name can be used for create, update and delete operations
region string / required |  | The region to which the Pool is associated.
secret_key string / required |  | The secret_key to authenticate with the AWSCVS Web Services Proxy or Embedded Web Services API.

serviceLevel
string

Choices:
- basic
- standard
- extreme

The service level of the Pool
can be used with pool create, update operations

sizeInBytes integer |  | Size of the Pool in bytes can be used with pool create, update operations minimum value is 4000000000000 bytes

state
string / required

Choices:
- present
- absent

Whether the specified pool should exist or not.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

vendorID string |  | A vendor ID for the Pool. E.g. an ID allocated by a vendor service for the Pool. can be used with pool create, update operations must be unique

## Notes

Note

- The modules prefixed with aws_cvs_netapp are built to Manage AWS Cloud Volume Service .

## Examples

    - name: Create a new Pool
      aws_netapp_cvs_pool:
        state: present
        name: TestPoolBB12
        serviceLevel: extreme
        sizeInBytes: 4000000000000
        vendorID: ansiblePoolTestVendorBB12
        region: us-east-1
        api_url: cds-aws-bundles.netapp.com
        api_key: MyAPiKey
        secret_key: MySecretKey

    - name: Delete a Pool
      aws_netapp_cvs_pool:
        state: absent
        name: TestPoolBB7
        region: us-east-1
        api_url: cds-aws-bundles.netapp.com
        api_key: MyAPiKey
        secret_key: MySecretKey

    - name: Update a Pool
      aws_netapp_cvs_pool:
        state: present
        from_name: TestPoolBB12
        name: Mynewpool7
        vendorID: ansibleVendorMynewpool15
        serviceLevel: extreme
        sizeInBytes: 4000000000000
        region: us-east-1
        api_url: cds-aws-bundles.netapp.com
        api_key: MyAPiKey
        secret_key: MySecretKey

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.